<?php
/*
--------------------------------------------------------
Nombre de la Clase: API

Funcion :
	Esta clase es la utilizada para que un usuario que desea hacer una
	aplicacion pueda interactuar con el sistema creado

Funciones y utlizacion :

- API->printweb($datos)		
	devuelve el contenido HTML con todos los valores previamente situados
- API->template($url,$dato)
	devuelve el contenido del template fijado por la $url y sustituye los
	valores del ARRAY $dato
*/
class API{
	function setBack($url){
		$_SESSION['back_extra']=$url;
	}
	function setCSStemplate($css){
		$_SESSION['css']=$css;
	}
	function setFormAction($action){
		$_SESSION['form_extra']=$action;
	}
	function getDivs(){
		return $_SESSION['system']->getDivs();
	}
	function getData($name){
		return $_SESSION['system']->Data($name);
	}
	function setForm($action){
		$_SESSION['formaction']=$action;
	}
	function setData($name,$data){
		return $_SESSION['system']->setData($name,$data);
	}
	function printweb(){
		return $_SESSION['imp']->web();
	}
	function template($url,$dato){
		return $_SESSION['imp']->template($url,$dato);
	}
	function setScript($script){
		$_SESSION['js']=$script;
	}
	function setCSS($css){
		$_SESSION['css_step']=$css;		
	}
	function setStep($step){
/*		if(){		
			$_SESSION['contenido']=$step;
		}*/
		
		$_SESSION['contenido']=$step;
		
/*		if(){		
			$_SESSION['contenido']=$step;
		}*/
	}
	function setTemplate($template){
		$_SESSION['select_template']=$template;
	}	
	function showError($mensaje){
		$error='<div class="error">';
		$error.=$mensaje;
		$error.='</div>';
		return $error;
	}

}
?>